Bug 463523 - [LTC 6.0 FEAT] 200949:Additional Power6 and related Power Optimizations in glibc
[LTC 6.0 FEAT] 200949:Additional Power6 and related Power Optimizations in glibc
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc (Show other bugs)
6.0
ppc64 All
high Severity high
: alpha
: 6.0
Assigned To: Andreas Schwab
Petr Muller
: FutureFeature
Depends On:
Blocks: 356741 486594 554559
  Show dependency treegraph
 
Reported: 2008-09-23 16:11 EDT by IBM Bug Proxy
Modified: 2016-11-24 07:05 EST (History)
9 users (show)

See Also:
Fixed In Version: glibc-2.10.90-26
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:28:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 16:11:16 EDT
=Comment: #2=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-17 10:44 EDT
1. Feature Overview:
Feature Id:	[200949]
a. Name of Feature:	Additional Power6 and related Power Optimizations for glibc
b. Feature Description
As we deploy POWER6 we will find a fix additional performance issues that
require GLIBC/powerpc-cpu updates to result. For now we know of: Mutex Hints
(GLIBC upstream). string functions exploit POWER6 instructions (GLIBC +
powerpc-cpu-v0.06), Math library functions (GLIBC + powerpc-cpu-v0.06 or later).
 Also additional power 5 and power 4 optimizations may be included.

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Affects Toolchain: Yes
Delivery Mechanism: Direct from community
Category:	Toolchain
Request Type:	Toolchain - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	glibc 2.7+
Performance Assistance:	yes

3. Business Case
Improved performance of POWER6 for High Performance Computation and Enterprise
Linux.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael Hohnbaum, hbaum@us.ibm.com, 503-578-5486

Technical contact(s):
Steven Munroe, sjmunroe@us.ibm.com

IBM Manager:
Alexander Johnson, acjohnso@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 15:12:11 EDT
RHEL 6 will include a newer glibc than 2.7, so this shouldn't be an issue.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 IBM Bug Proxy 2009-03-02 15:40:48 EST
As far as we know, everything of interest to this feature is currently upstream.
Comment 3 releng-rhel@redhat.com 2009-10-29 09:43:34 EDT
Fixed in 'glibc-2.10.90-26', included in compose 'RHEL6.0-20091028.0'.
Moving to ON_QA.
Comment 5 IBM Bug Proxy 2010-05-07 16:21:55 EDT
------- Comment From rsa@us.ibm.com 2010-05-07 16:12 EDT-------
Verified in RHEL-6.0-Snapshot-2

ls -la /lib/power6
total 3180
drwxr-xr-x.  2 root root    4096 Apr 26 19:52 .
dr-xr-xr-x. 14 root root    4096 May  4 15:09 ..
-rwxr-xr-x.  1 root root 2010200 Feb 25 07:34 libc-2.11.1.so
lrwxrwxrwx.  1 root root      14 Apr 26 19:52 libc.so.6 -> libc-2.11.1.so
-rwxr-xr-x.  1 root root  904524 Feb 25 07:34 libm-2.11.1.so
lrwxrwxrwx.  1 root root      14 Apr 26 19:52 libm.so.6 -> libm-2.11.1.so
-rwxr-xr-x.  1 root root  170164 Feb 25 07:34 libpthread-2.11.1.so
lrwxrwxrwx.  1 root root      20 Apr 26 19:52 libpthread.so.0 -> libpthread-2.11.1.so
-rwxr-xr-x.  1 root root   80952 Feb 25 07:34 librt-2.11.1.so
lrwxrwxrwx.  1 root root      15 Apr 26 19:52 librt.so.1 -> librt-2.11.1.so
-rwxr-xr-x.  1 root root   73756 Feb 25 07:34 libthread_db-1.0.so
lrwxrwxrwx.  1 root root      19 Apr 26 19:52 libthread_db.so.1 -> libthread_db-1.0.so
Comment 6 releng-rhel@redhat.com 2010-11-10 15:28:49 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.